Buy

Design Management

Analysis Design change management Lifecycle traceability

Design Management 6.0.5

Product Release / Trial | December 4, 2017

Upgrading to Design Management 6.0.5

Before you upgrade

For a list of changes to the installation and upgrade process, see the CLM and IoT CE 6.0.5 Installation and Upgrade Notes.

If you plan to upgrade to this release, be aware of the following items:

  • You can upgrade to this release from any version 5 or version 6 release.


  • If the CLM applications to upgrade are colocated in the same WebSphere Application Server profile, on WebSphere Liberty, or on Apache Tomcat, you must upgrade all the applications at the same time.

  • The preferred runtime environments for the CLM and IoT CE applications are as follows, in this order:

    • Java 8 with WebSphere Liberty 17
    • Java 8 with WebSphere Application Server 9
    • Java 7.1 SR3 FP40 or later with WebSphere Application Server 8.5.5.2 or later

    Notes:
    • Java 7.1 SR4 FP10 is not supported. CLM applications that run on WebSphere Liberty and are configured with that version of Java might crash.
    • On IBM i, the latest supported version of WebSphere Application Server is 8.5.5.
    • Do not use Oracle JDBC driver 12.1.0.2.0 because this version of the driver contains a defect. For details, see repotools -createTables command fails with ORA-01000 on Oracle 12 on the IBM Support portal page.

  • If you use WebSphere Liberty or a version of Java that was built after April 2017, after you upgrade your server to version 6.0.5 you must obtain updated licenses from the IBM Rational License Key Center to replace your current licenses. If you previously used floating, token, or authorized user single install licenses, install their updated versions. Your existing user license assignments are kept during the installation of the updated licenses. For details, see the upgrade instructions in the Interactive Upgrade Guide or the release notes for your applications.

  • On IBM i, if you upgrade to this version from a version 5 release, the upgrade takes longer than previous upgrades because the database includes structural changes to support new features.

  • If you use Lifecycle Query Engine for reporting, some upgrades require that you reindex your application data sources after the upgrade.

    • If you upgrade from version 6.0.2 or earlier, you must reindex your application data sources after the upgrade.

    • If you upgrade from version 6.0.3 or later, reindexing is not required except for the Quality Management (QM) application. The QM application has features in version 6.0.5 that require the data sources to be reindexed.

    • For details, see the Interactive Upgrade Guide.

  • If you upgrade to version 6.0.5 from a version 6 release of Rational DOORS Next Generation or Design Management, the Interactive Upgrade Guide instructs you to query for whether artifacts have more than one current version, and, if so, to run the -repairMultipleVersionsMarkedAsCurrent repository tools command before the upgrade. This command addresses a known issue where concurrent changes to an artifact can cause version issues in configurations. The -repairMultipleVersionsMarkedAsCurrent repository tools command is available in interim fixes of the earlier version 6 releases. For versions 6.0 through 6.0.4, you must apply the interim fix that contains the command before you can run it:

    • 6.0 interim fix 014
    • 6.0.1 interim fix 015
    • 6.0.2 interim fix 013
    • 6.0.3 interim fix 008a
    • 6.0.4 interim fix 003

    If you run the query and it detects more than one current version of an artifact, but the -repairMultipleVersionsMarkedAsCurrent repository tools command is not available, do not upgrade to version 6.0.5.